Package org.spongepowered.asm.mixin.transformer.struct

## Class Clinit

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.struct.Clinit

    public class Clinit
    extends java.lang.Object

### Field Summary

Fields
`protected org.objectweb.asm.tree.MethodNode` `clinit`
`protected org.objectweb.asm.tree.AbstractInsnNode` `finalReturn`

### Constructor Summary

Constructors
`Clinit​(org.objectweb.asm.tree.MethodNode clinit, org.objectweb.asm.tree.AbstractInsnNode finalReturn)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `append​(IMixinInfo mixinInfo, org.objectweb.asm.tree.MethodNode mixinClinit)`
`protected void` `appendInsns​(IMixinInfo mixinInfo, org.objectweb.asm.tree.MethodNode mixinClinit, java.util.Map<org.objectweb.asm.tree.LabelNode,​org.objectweb.asm.tree.LabelNode> labels)`
`static Clinit` `prepare​(Target clinit)`
`protected static org.objectweb.asm.tree.AbstractInsnNode` `prepareClinit​(org.objectweb.asm.tree.MethodNode clinit, Target target)` Rewrites RETURN instructions to instead GOTO a final RETURN instruction, and returns said instruction.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clinit

    protected final org.objectweb.asm.tree.MethodNode clinit

#### finalReturn

    protected final org.objectweb.asm.tree.AbstractInsnNode finalReturn

### Constructor Detail

#### Clinit

    public Clinit​(org.objectweb.asm.tree.MethodNode clinit,
                  org.objectweb.asm.tree.AbstractInsnNode finalReturn)

### Method Detail

#### append

    public void append​(IMixinInfo mixinInfo,
                       org.objectweb.asm.tree.MethodNode mixinClinit)

#### appendInsns

    protected void appendInsns​(IMixinInfo mixinInfo,
                               org.objectweb.asm.tree.MethodNode mixinClinit,
                               java.util.Map<org.objectweb.asm.tree.LabelNode,​org.objectweb.asm.tree.LabelNode> labels)

#### prepare

    public static Clinit prepare​(Target clinit)

#### prepareClinit

    protected static org.objectweb.asm.tree.AbstractInsnNode prepareClinit​(org.objectweb.asm.tree.MethodNode clinit,
                                                                           Target target)

Rewrites RETURN instructions to instead GOTO a final RETURN instruction, and returns said instruction.